Boinc client fails to resume when set to work only when computer is idle

Bug #179849 reported by NgCH
60
This bug affects 10 people
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
High
Unassigned

Bug Description

The boinc client on my Ubuntu Gutsy does not resume computation if it is set to run only when computer is idle. The tasks remain suspended after the computer has been idle for a period of time set in the preference. The tasks resume when I set it to run while the computer is active though. The project I am running is the World Community Grid. I installed the official version for Gutsy.

Revision history for this message
clovepower (mzattera) wrote :

I've the same issue.

1. Open BOINC manager
2. Go to Advanced > Preferences and set options as shown in included screen shot
3. Tasks will stay as "Suspended - User active" even after 3 minutes of inactivity are passed

Also, boinc-client appears in my task manager but it never runs (I left the PC idle a long time and CPU was always at 0%).

I think BOINC is not detecting an idle PC properly.

Ubuntu 8.04.1 AMD64
Linux set 2.6.24-19-generic #1 SMP Wed Aug 20 17:53:40 UTC 2008 x86_64 GNU/Linux

boinc-client boinc-manager 5.10.45-1ubuntu1

Revision history for this message
clovepower (mzattera) wrote :

From the boinc_dev mailing list, they inform me that current version 6.2.15 should include some fixes for this.

I had no chance to test it though.

Maxi

Revision history for this message
clovepower (mzattera) wrote :
Revision history for this message
Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible in 8.10 or 9.04?

Changed in boinc:
status: New → Incomplete
Revision history for this message
clovepower (mzattera) wrote :

I've installed BOINC 6.2.14 and the bug is NOT resolved.

Interpid and Jaunty are now running 6.2.12 ad 6.2.14 respectively, so I assume is not yet fixed.

Revision history for this message
Crosshair (will-e-carlson) wrote :

This bug appears to be a duplicate. The problem still exists. See duplicate at: https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/128357

Revision history for this message
user (user2) wrote :

This is not a duplicate of Bug #128357 - it's 2 different behaviours. This bug is that BOINC doesn't resume computation after the configured time. Bug #128357 describes that BOINC doesn't go to idle if user activity should force this.

Revision history for this message
Davide (dspinell) wrote :

I am experiencing this problem in Ubuntu 12.04 64bit

Revision history for this message
ptitmain (ptitmain) wrote :

I am also experiencing this issue on my Ubuntu 21.04 64 bit computer. Maybe a configuration parameter of gnome is interfering with the detectino of idle time ?

Revision history for this message
ptitmain (ptitmain) wrote :

This bug is solved with the boinc 7.0.27 version. You should install it from the “Debian BOINC Maintainers” team PPA.

Changed in boinc (Ubuntu):
status: Incomplete → In Progress
Revision history for this message
Davide (dspinell) wrote :

ptitmain,

I installed the version from the PPA: it works as soon as installed (as it does the version in the Ubuntu reps) but it stops working after restarting the system.

Changed in boinc (Ubuntu):
status: In Progress → Confirmed
Daniel Hahler (blueyed)
Changed in boinc (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
importance: Medium → High
Revision history for this message
Daniel Hahler (blueyed) wrote :

I can confirm this, even with the latest boinc just uploaded to precise-proposed, even without needing to restart.

As a workaround: just allow BOINC to run also when the computer is in use.
The scheduling of its processes should make sure, that it does not interfere with other more important processes.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

this bug seems to be fixed in http://boinc.berkeley.edu/trac/changeset/25814/boinc

please test boinc 7.0.30+

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Please test boinc 7.0.34 from my ppa [1]
https://code.launchpad.net/~costamagnagianfranco/+archive/boinc
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Revision history for this message
Todd Hill (todd-hill) wrote :

Just updated Ubuntu 12.04 Precise with the latest BOINC components this morning, 7.0.39+dfsg-0-964-precise. Unfortunately it still does not detect the computer is idle. Therefore, I have to remember to set it to "Run Always" for it to run at all.

It used to work for me until 12.04.

Revision history for this message
Dave (xclusive585) wrote : Re: [Bug 179849] Re: Boinc client fails to resume when set to work only when computer is idle

Man a lot of ppl seemed to have far less issues with 6.xxxx sadly. I wonder
if we're doing something very different with the debian patches than they
used to do. ? Just a thought. Happy crunching.
On Nov 11, 2012 5:36 PM, "Todd Hill" <email address hidden> wrote:

> Just updated Ubuntu 12.04 Precise with the latest BOINC components this
> morning, 7.0.39+dfsg-0-964-precise. Unfortunately it still does not
> detect the computer is idle. Therefore, I have to remember to set it to
> "Run Always" for it to run at all.
>
> It used to work for me until 12.04.
>
> --
> You received this bug notification because you are a member of Debian
> BOINC Maintainers, which is subscribed to boinc in Ubuntu.
> https://bugs.launchpad.net/bugs/179849
>
> Title:
> Boinc client fails to resume when set to work only when computer is
> idle
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/179849/+subscriptions
>
> --
> pkg-boinc-devel mailing list
> <email address hidden>
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel
>

Changed in boinc (Ubuntu):
assignee: nobody → gecegezen (gecegezen)
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

gecegezen are you working on this bug?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in boinc (Ubuntu):
assignee: gecegezen (gecegezen) → nobody
Revision history for this message
Jussi (jussi-lahtinen-gmail) wrote :

Bug is still in BOINC 7.0.27.

Revision history for this message
Jussi (jussi-lahtinen-gmail) wrote :

Here is working code for Linux IDLE detection:
https://github.com/pmaia/xprintidle-plus

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi Jussi, a recent fix has been introduced in .29 release, could you please try boinc 7.0.42 from my ppa?
https://code.launchpad.net/~costamagnagianfranco/+archive/locutusofborg-ppa

thanks

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Ok Jussi forget the latest comment, upstream told me that there were a problem and they checked in a fix, I'm building boinc right now

https://code.launchpad.net/~costamagnagianfranco/+archive/skype4py

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

boinc - 7.1.0~nightly1~~git20130101+r12090-0~r36 is available for testing, please note this is a really development release, so use it only for this test

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

boinc 7.0.44 will be available in my ppa in a few hours (hopefully).
https://code.launchpad.net/~costamagnagianfranco/+archive/locutusofborg-ppa
Please test it

thanks

Revision history for this message
Todd Hill (todd-hill) wrote :

Gianfranco -- Tested the newly upgraded 7.0.44 on a fully-updated 12.04 but, sorry, no joy. It never starts computation when set to a 1 minute idle wait time.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

I'll upload boinc 7.0.44 precise2 in my ppa very soon, please let me know asap, I've added a new dependency I forgot before.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Uploaded, please test it ad report back here.
Thanks

Revision history for this message
Petar Velkovski (pvelkovski) wrote :

@LocutusOfBorg tested 7.0.44 on 12.04, Boinc still fails to work when the computer is idle.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

a new fix is available, could you please try boinc 7.1.0 from here?
https://code.launchpad.net/~costamagnagianfranco/+archive/skype4py

this is the latest development version from upstream, not stable (even if I'm using it since months with no problems).

We pushed a fix, don't know if will fix this bug, since I'm not affected anymore...

could we maybe do a teamviewer session for troubleshooting the problem?

Revision history for this message
Petar Velkovski (pvelkovski) wrote :

I'm sorry but i'm having trouble starting boinc and properly connecting boincmgr. I sucseeded 2 days ago with 7.0.44, but I don't know what I did. Since the default ubuntu BOING packages make Boinc start automaticaly on startup, and your packages don't work that way, can yu please give me the instructions how to do it. I tried doing this:

boinc --allow_remote_gui_rpc --gui_rpc_port 10101 &

boincmgr --verbose -g 10101

But it can't recognize my previous account,settings, jobs, etc.

Revision history for this message
Petar Velkovski (pvelkovski) wrote :

Ok I did manage to start BOINC using bom - Boot-Up Manager from second try and the idle detection WORKS PROPERLY. Can you please tell me how to make boinc-client service start automaticaly on each computer startup without using bom?

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

My package SHOULD start at startup, do you have any /etc/init.d/boinc-client file?

you can start/stop it by using
sudo /etc/init.d/boinc-client stop
sudo /etc/init.d/boinc-client start

Revision history for this message
Petar Velkovski (pvelkovski) wrote :

I don't know if one of the two last updates did the trick, or something else was the problem (specific to my installation), but now BOINC starts properly at startup.

Revision history for this message
Dave (xclusive585) wrote :

Peter what package of boinc are you running right now and from where? I may
try it on my server as I've never been able to get boinc to launch on after
boot with its init.d

I look forward to trying whatever package you are using
On Jan 18, 2013 1:11 PM, "Petar Velkovski" <email address hidden> wrote:

> I don't know if one of the two last updates did the trick, or something
> else was the problem (specific to my installation), but now BOINC starts
> properly at startup.
>
> --
> You received this bug notification because you are a member of Debian
> BOINC Maintainers, which is subscribed to boinc in Ubuntu.
> https://bugs.launchpad.net/bugs/179849
>
> Title:
> Boinc client fails to resume when set to work only when computer is
> idle
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/179849/+subscriptions
>
> --
> pkg-boinc-devel mailing list
> <email address hidden>
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel
>

Revision history for this message
Petar Velkovski (pvelkovski) wrote :

Dave the package used is from ppa:costamagnagianfranco/skype4py (https://code.launchpad.net/~costamagnagianfranco/+archive/skype4py). At the moment of this writing it is 7.1.0~nightly1~~git20130118+r12138-0~r41~precise1.

Revision history for this message
Dave (xclusive585) wrote :

Oooooo super duper extra alpha. I'll make the time to try it this weekend.
I'll see if it works with my optimized apps as well.
On Jan 18, 2013 1:48 PM, "Petar Velkovski" <email address hidden> wrote:

> Dave the package used is from ppa:costamagnagianfranco/skype4py
> (https://code.launchpad.net/~costamagnagianfranco/+archive/skype4py). At
> the moment of this writing it is
> 7.1.0~nightly1~~git20130118+r12138-0~r41~precise1.
>
> --
> You received this bug notification because you are a member of Debian
> BOINC Maintainers, which is subscribed to boinc in Ubuntu.
> https://bugs.launchpad.net/bugs/179849
>
> Title:
> Boinc client fails to resume when set to work only when computer is
> idle
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/179849/+subscriptions
>
> --
> pkg-boinc-devel mailing list
> <email address hidden>
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel
>

Revision history for this message
Dave (xclusive585) wrote :

Thanks Petar, and to Locutus as always for the work he does for boinc.
On Jan 18, 2013 2:09 PM, "Xclusive Technology" <email address hidden>
wrote:

> Oooooo super duper extra alpha. I'll make the time to try it this weekend.
> I'll see if it works with my optimized apps as well.
> On Jan 18, 2013 1:48 PM, "Petar Velkovski" <email address hidden> wrote:
>
>> Dave the package used is from ppa:costamagnagianfranco/skype4py
>> (https://code.launchpad.net/~costamagnagianfranco/+archive/skype4py). At
>> the moment of this writing it is
>> 7.1.0~nightly1~~git20130118+r12138-0~r41~precise1.
>>
>> --
>> You received this bug notification because you are a member of Debian
>> BOINC Maintainers, which is subscribed to boinc in Ubuntu.
>> https://bugs.launchpad.net/bugs/179849
>>
>> Title:
>> Boinc client fails to resume when set to work only when computer is
>> idle
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/179849/+subscriptions
>>
>> --
>> pkg-boinc-devel mailing list
>> <email address hidden>
>> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel
>>
>

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Boinc 7.1x already have this fix and another one.

I'll push tonight on locutusofborg-ppa 7.0.44 precise/quantal/raring 3 with I think another patch for even better idle detection...
I'll push too on costamagnagianfranco/boinc repository too asap

This those 2 fix I didn't notice any more idle detection problems... So I'll ask for an upload to debian and raring very soon (hopefully).

Let me know if you encounter any more problems.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

boinc will be available with the latest fix in a few hours
here (best unstable release release 7.0a branch, updated once or twice when a new unstable version comes out)
https://code.launchpad.net/~costamagnagianfranco/+archive/locutusofborg-ppa

here (the same unstable release 7.0a branch, updated each time a new commit is made on debian git)
https://code.launchpad.net/~costamagnagianfranco/+archive/boinc

and here (the 7.1 really unstable development branch updated at each upstream commit, I suggest to DON'T use it)
https://code.launchpad.net/~costamagnagianfranco/+archive/skype4py

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

BTW, you might need to try boinctui, a new package that allow you to use boinc from curses interface, you will find it simply AWESOME, one "window" with everything inside, so cool for remote hosts... In a early development stage, not even included in debian, but so stable to test it :D

Revision history for this message
Dave (xclusive585) wrote :

Wow i like that idea for my headless server, no more x forwarding boincmgr.
Just ssh and terminal.
On Jan 18, 2013 7:26 PM, "LocutusOfBorg" <email address hidden>
wrote:

> BTW, you might need to try boinctui, a new package that allow you to use
> boinc from curses interface, you will find it simply AWESOME, one
> "window" with everything inside, so cool for remote hosts... In a early
> development stage, not even included in debian, but so stable to test it
> :D
>
> --
> You received this bug notification because you are a member of Debian
> BOINC Maintainers, which is subscribed to boinc in Ubuntu.
> https://bugs.launchpad.net/bugs/179849
>
> Title:
> Boinc client fails to resume when set to work only when computer is
> idle
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/179849/+subscriptions
>
> --
> pkg-boinc-devel mailing list
> <email address hidden>
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel
>

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :
Revision history for this message
Todd Hill (todd-hill) wrote :

FYI - as of March 9th with the latest updates of BIONC 7.0.54 and Ubuntu computation still will not start with idle detection. This is with the Gnome desktop, not Unity.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package boinc - 7.0.65+dfsg-1

---------------
boinc (7.0.65+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * debian/control.in dropped version check
      - pkg-config (>= 0.15) (version 0.25 in stable)
      - autoconf (>= 2.59) (version 2.67 in stable)
      - automake1.9 (>= 1.9.3) (version 1.9.6 in stable)
      - libcurl4-openssl-dev (>= 7.17.1) (version 7.21.0 in stable)
      - python (>= 2.3) (version 2.6.6 in stable)
      - Breaks: udev (<< 136-1) (version 164 in stable)
      - removed boinc-app-seti from boinc-client Suggests field
      - Bumped debhelper required version to 8
    debian/compat
      - Bumped to version 8

  [ Steffen Moeller ]
  * Merged work on packaging of BOINC server code
  * boinc-cgi-stripchart package now built together with server parts

 -- Gianfranco Costamagna <email address hidden> Tue, 30 Apr 2013 21:45:44 +0200

Changed in boinc (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Davide (dspinell) wrote :

I have tried version 7.0.65 on Ubuntu 13.04 64 bit and Ubuntu 13.04 32 bit: the problem persists after rebooting the system.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi Davide, could you please open a new bug for this?

Revision history for this message
Jussi (jussi-lahtinen-gmail) wrote :

This bug was never fixed.
Tested all to way to BOINC 7.2.7 on Ubuntu 13.10 64bit.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi Jussi can you please open a new bug?

Revision history for this message
Jussi (jussi-lahtinen-gmail) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.